Summary:	A GNOME filemanager similar to the Midnight Commander
Summary(pl.UTF-8):	Zarządca plików dla środowiska GNOME w stylu Midnight Commandera
Name:		gnome-commander
Version:	1.18.1
Release:	1
License:	GPL v2+
Group:		X11/Applications
Source0:	https://download.gnome.org/sources/gnome-commander/1.18/%{name}-%{version}.tar.xz
# Source0-md5:	92f187931012f453e8e02fd1c2283eb7
Patch1:		%{name}-gsf.patch
URL:		https://gcmd.github.io/
BuildRequires:	docbook-dtd412-xml
BuildRequires:	exiv2-devel >= 0.14
BuildRequires:	flex >= 2.6.0
BuildRequires:	gettext-tools >= 0.19.7
BuildRequires:	glib2-devel >= 1:2.70.0
BuildRequires:	gtk+3-devel >= 3.24.0
BuildRequires:	libgsf-devel >= 1.14.26
BuildRequires:	libsmbclient-devel
BuildRequires:	libstdc++-devel >= 6:4.7
BuildRequires:	meson >= 0.59
BuildRequires:	ninja >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	poppler-glib-devel >= 0.18
BuildRequires:	rpmbuild(macros) >= 1.592
BuildRequires:	taglib-devel >= 1.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	/sbin/ldconfig
Requires(post,postun):	glib2 >= 1:2.70.0
Requires:	exiv2-libs >= 0.14
Requires:	glib2 >= 1:2.70.0
Requires:	gtk+3 >= 3.24.0
Requires:	libgsf >= 1.14.26
Requires:	poppler-glib >= 0.18
Requires:	taglib >= 1.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNOME Commander is a filemanager that just like the classical Midnight
commander lets you do everything with the keyboard. It can perform all
standard fileoperations and some extra features like FTP support.

%description -l pl.UTF-8
GNOME Commander to zarządca plików, który podobnie do klasycznego
Midnight Commandera umożliwia pełną obsługę przy pomocy klawiatury.
Zapewnia wykonanie wszystkich typowych operacji na plikach, a także
kilka dodatkowych jak np. klienta FTP.

%prep
%setup -q
%patch1 -p1

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS BUGS MAINTAINERS NEWS README.md TODO
%attr(755,root,root) %{_bindir}/gcmd-block
%attr(755,root,root) %{_bindir}/gnome-commander
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%attr(755,root,root) %{_libdir}/%{name}/plugins/libfilerollerplugin.so
%{_libdir}/%{name}/plugins/file-roller*.xpm
%attr(755,root,root) %{_libdir}/%{name}/plugins/libtestplugin.so
%{_libdir}/%{name}/plugins/test-plugin.xpm
%{_datadir}/%{name}
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.gnome-commander.gschema.xml
%{_datadir}/metainfo/org.gnome.gnome-commander.appdata.xml
%{_desktopdir}/org.gnome.gnome-commander.desktop
%{_iconsdir}/hicolor/scalable/apps/gnome-commander.svg
%{_iconsdir}/hicolor/scalable/apps/gnome-commander-internal-viewer.svg
%{_iconsdir}/hicolor/scalable/apps/gnome-commander-symbolic.svg
%{_pixmapsdir}/gnome-commander
%{_mandir}/man1/gnome-commander.1*
%changelog
* Tue Aug 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-commander.git;a=log;h=master

* Mon Aug 12 2024 Jakub Bogusz <qboosh@pld-linux.org> e5f737e
- updated to 1.18.1

* Mon Jul 22 2024 Jakub Bogusz <qboosh@pld-linux.org> 14ac0b5
- updated to 1.18.0 (GTK+ 3 now, ready for taglib 2)

* Fri May 17 2024 Jakub Bogusz <qboosh@pld-linux.org> ac7a571
- updated to 1.16.2 (ready for taglib 2.0)

* Thu Jul 27 2023 Jakub Bogusz <qboosh@pld-linux.org> 4da8470
- release 2 (exiv2 0.28)

* Mon Jul 10 2023 Jakub Bogusz <qboosh@pld-linux.org> 39ef707
- updated to 1.16.1

* Thu Mar 23 2023 Jakub Bogusz <qboosh@pld-linux.org> edd98f8
- updated to 1.16.0; now uses meson

* Mon Jun 20 2022 Jakub Bogusz <qboosh@pld-linux.org> 253cf70
- updated to 1.14.3

* Tue Mar 29 2022 Jakub Bogusz <qboosh@pld-linux.org> a424c1b
- updated to 1.14.2

* Thu Mar 03 2022 Jakub Bogusz <qboosh@pld-linux.org> 6d3d1bf
- updated to 1.14.1

* Sun Feb 06 2022 Jakub Bogusz <qboosh@pld-linux.org> a074a15
- updated to 1.14.0
- updated flags patch
- removed obsolete am patch

* Mon Nov 22 2021 Jakub Bogusz <qboosh@pld-linux.org> edba119
- updated to 1.12.3.1

* Sun Nov 21 2021 Jakub Bogusz <qboosh@pld-linux.org> 27ff03a
- updated to 1.12.3

* Sun May 30 2021 Jakub Bogusz <qboosh@pld-linux.org> f237bab
- updated to 1.12.2

* Sun Apr 18 2021 Jakub Bogusz <qboosh@pld-linux.org> eb0177e
- updated to 1.12.1

* Fri Apr 02 2021 Jakub Bogusz <qboosh@pld-linux.org> cb2e4df
- rediff, some flags patch parts obsolete

* Thu Apr 01 2021 Jakub Bogusz <qboosh@pld-linux.org> 83b26ce
- updated to 1.12.0 (in transition from gnomevfs to gio)

* Fri Jun 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 4602e6c
- updated to 1.10.3
- updated flags patch

* Thu Nov 28 2019 Jakub Bogusz <qboosh@pld-linux.org> 58d32a9
- updated to 1.10.2
- updated flags patch

* Wed Jan 30 2019 Jan Rękorajski <baggins@pld-linux.org> c34a80d
- release 3 (by relup.sh)

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> 911d922
- rebuild with exiv2 0.26
- release 2 (by relup.sh)

